import api from "src/api";

export const getBaseHolidays = async () => {
  const { data } = await api.get("/base-holiday");
  return data.payload;
};

export const createBaseHoliday = async (payload) => {
  const { data } = await api.post("/base-holiday", payload);
  return data.payload;
};

export const updateBaseHoliday = async (id, payload) => {
  const { data } = await api.put(`/base-holiday/${id}`, payload);
  return data.payload;
};

export const deleteBaseHoliday = async (id) => {
  const { data } = await api.delete(`/base-holiday/${id}`);
  return data;
};
